import logging
import base64

logging.basicConfig(level=logging.INFO)
logging.getLogger('suds.client').setLevel(logging.DEBUG)

from suds.client import Client
url = 'https://secure.lekab.com/batch/messaging-batch-v1.wsdl'
client = Client(url)
client.set_options(port='messaging-batch-v1Soap11')
print client

from suds.wsse import *
security = Security()
token = UsernameToken('xxxx', 'xxxx')
security.tokens.append(token)
token = Timestamp();
security.tokens.append(token)
client.set_options(wsse=security)

batchData = client.factory.create('BatchData')
f = open('batch.sms', 'r')
batchData.textDataFile = base64.b64encode(f.read())
print batchData

try:
  result = client.service.SendBatch('Lekab', None, None, None, batchData, None)
  print result
except WebFault, e:
  print e
